# Build Your Own

## TradingView

TradingView has a variety of different resources and documentation for learning Pine Script.

* [Pine Script Chat](https://www.tradingview.com/chat/#BfmVowG1TZkKO235) - Sometimes you just need to chat with someone and get help.
* [Pine Script Reference Manual](https://www.tradingview.com/pine-script-reference/v5/) - complete reference guide to the Pine Script programming language.
* [Pine Script User Manual](https://www.tradingview.com/pine-script-docs/en/v5/index.html) - user manual for the Pine Script programming language.
* [TradingView Pine Script Blog Posts](https://www.tradingview.com/blog/en/category/market-analysis/pine/) - Pine Script blog posts written by TradingView.

### **Pine Script Developers**

If you have an idea for a strategy but don't know how to code, you can hire Pine Script developers on gig sites like [Fiverr](https://www.fiverr.com/search/gigs?query=Pine%20Script\&source=top-bar\&search_in=everywhere\&search-autocomplete-original-term=pine%20script) and [Upwork](https://www.upwork.com/search/profiles/?q=Pine%20Script\&user_pref=2).

Checkout out our list of [strategy developers](/docs/strategies-and-indicators/strategy-developers.md) that other TradersPost customers have worked with in the past.

### **Free Resources**

There are a number of free resources out on the internet for learning how to develop Pine Script. This section lists some of these resources to help you get started on your journey.

#### Tutorials & Articles

* [PineScripters](https://www.pinescripters.com/) - community of Pine Script developers with a free [Discord chat.](https://discord.gg/pq8A48cPua)
* [Kodify](https://kodify.net/tradingview-programming-articles/) - TradingView Pine Script programming articles.
* [How To Create A Simple Trading Strategy With TradingView](https://medium.com/@quansium/how-to-create-a-simple-trading-strategy-with-tradingview-7a9fea3cffc1) - great article by [Quansium](https://www.tradingview.com/u/Quansium/) that takes you step by step on how to create a TradingView strategy.
* [Backtest Rookies](https://backtest-rookies.com/category/tradingview/) - Back testing tutorials and algorithmic trading for the complete beginner.&#x20;
* [pAulseperformance](https://github.com/pAulseperformance/awesome-pinescript) - git repository with a bunch of good Pine Script content.

#### **Videos**

* [QuantNomad](https://www.youtube.com/channel/UC57DoaeefbGM9nbcVA3V5mg) - great source of free videos on Pine Script.
* [BigBits](https://www.youtube.com/user/dpjohnson2009) - high quality Pine Script video tutorials.
* [Zen & The Art of Trading](https://www.youtube.com/playlist?list=PLSP_1DBafH-EvKYn_ARs3S3bEaQwGAj-W) - Pine Script Mastery video tutorials.
* [Squiggly Lion](https://www.youtube.com/channel/UC4O-W0DfsAfPYPbxws2dIOw) - Squiggly Lion video tutorials.
* [Market Calls](https://www.youtube.com/user/marketcalls/featured) - Simply intelligent technical analysis videos.

### **Paid Resources**

In addition to all the free resources that exist, there are plenty of paid resources that exist as well.

* [TradingControl](https://tradingcontrol.com/) - Drag and drop builder that allows you to build strategies and generate Pine Script code.
* [Kick studios](http://kickstudios.com/retail-trading-dev-services/courses/) - Paid Pine Script indicator development courses.
* [Paul D. Mendes](https://www.udemy.com/course/learn-tradingview-pine-script-programming-from-scratch/) - Learn TradingView Pine Script Programming From Scratch.
* [Achal](https://www.udemy.com/course/creating-trade-strategies-backtesting-using-pinescript/) - Creating trade strategies & backtesting using PineScript
* [QuantNomad](https://courses.quantnomad.com/p/pinescript-programming) - Learn to build your own TradingView Indicators
* [Zen & The Art of Trading](https://www.pinescriptmastery.com/) - Want to master Pine Script? Look no further.
* [TradingView Pine Script Programming From Scratch: Build indicators, signal generators, backtest and automate trading logic](https://www.amazon.com/Achal/e/B092HFKV6N)

## TrendSpider

[TrendSpider](https://trendspider.com) is an American technology company known for providing technical analysis software and a new type of financial chart known as the Raindrop Chart, which allows users to observe the flow of volume and price together in a singular visualization.

One of the flagship features of TrendSpider is the ability to create and backtest strategies without having to write any code. You can use a drag and drop interface to define the criteria for your strategy.

* [TrendSpider University](https://trendspider.com/university/)
* [Understanding TrendSpider's Strategy Explorer](https://trendspider.com/blog/understanding-trendspiders-strategy-explorer/)
* [Strategy Tester Help Articles](https://help.trendspider.com/kb/strategy-tester)
* [TrendSpider YouTube Channel](https://www.youtube.com/channel/UCVvdnt2An8rC7zeey6Sa7bQ)
* [Creating a New Strategy](https://help.trendspider.com/kb/strategy-tester/accessing-and-using-the-strategy-tester)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.traderspost.io/docs/strategies-and-indicators/build-your-own.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
